## dmidecode 2.4

=== Makefile ===
#
#	DMI Decode
#	BIOS Decode
#
#	(C) 2000-2002 Alan Cox <alan@redhat.com>
#	(C) 2002-2004 Jean Delvare <khali@linux-fr.org>
#
#	Licensed under the GNU Public License.
#

CC      = gcc
CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
          -Wcast-align -Wwrite-strings -pedantic
#CFLAGS += -DBIGENDIAN
#CFLAGS += -DALIGNMENT_WORKAROUND
#CFLAGS += -DTABLE_LITTLEENDIAN
CFLAGS += -DUSE_MMAP

# When debugging, disable -O2 and enable -g.
CFLAGS += -O2
#CFLAGS += -g

PREFIX  = /usr/local

all : dmidecode biosdecode ownership vpddecode

#
# Programs
#

dmidecode : dmidecode.o util.o
	$(CC) dmidecode.o util.o -o $@

biosdecode : biosdecode.o util.o
	$(CC) biosdecode.o util.o -o $@

ownership : ownership.o util.o
	$(CC) ownership.o util.o -o $@

vpddecode : vpddecode.o util.o
	$(CC) vpddecode.o util.o -o $@

#
# Objects
#

dmidecode.o : dmidecode.c version.h types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

biosdecode.o : biosdecode.c version.h types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

ownership.o : ownership.c types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

vpddecode.o : vpddecode.c version.h types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

util.o : util.c types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

#
# Commands
#

strip : all
	strip dmidecode biosdecode ownership vpddecode

install : all
	install -m 755 dmidecode $(PREFIX)/sbin
	install -m 755 biosdecode $(PREFIX)/sbin
	install -m 755 ownership $(PREFIX)/sbin
	install -m 755 vpddecode $(PREFIX)/sbin
	install -m 644 man/dmidecode.8 $(PREFIX)/man/man8
	install -m 644 man/biosdecode.8 $(PREFIX)/man/man8
	install -m 644 man/ownership.8 $(PREFIX)/man/man8
	install -m 644 man/vpddecode.8 $(PREFIX)/man/man8

uninstall :
	rm -f $(PREFIX)/sbin/dmidecode $(PREFIX)/man/man8/dmidecode.8
	rm -f $(PREFIX)/sbin/biosdecode $(PREFIX)/man/man8/biosdecode.8
	rm -f $(PREFIX)/sbin/ownership $(PREFIX)/man/man8/ownership.8
	rm -f $(PREFIX)/sbin/vpddecode $(PREFIX)/man/man8/vpddecode.8

clean :
	rm -f *.o dmidecode biosdecode ownership vpddecode core

## dmidecode 2.5

=== Makefile ===
#
#	DMI Decode
#	BIOS Decode
#
#	(C) 2000-2002 Alan Cox <alan@redhat.com>
#	(C) 2002-2004 Jean Delvare <khali@linux-fr.org>
#
#	Licensed under the GNU Public License.
#

CC      = gcc
CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
          -Wcast-align -Wwrite-strings -pedantic
#CFLAGS += -DBIGENDIAN
#CFLAGS += -DALIGNMENT_WORKAROUND
CFLAGS += -DUSE_MMAP

# When debugging, disable -O2 and enable -g.
CFLAGS += -O2
#CFLAGS += -g

# Pass linker flags here
LDFLAGS =

DESTDIR =
prefix  = /usr/local
sbindir = $(prefix)/sbin
mandir  = $(prefix)/man
man8dir = $(mandir)/man8

all : dmidecode biosdecode ownership vpddecode

#
# Programs
#

dmidecode : dmidecode.o util.o
	$(CC) $(LDFLAGS) dmidecode.o util.o -o $@

biosdecode : biosdecode.o util.o
	$(CC) $(LDFLAGS) biosdecode.o util.o -o $@

ownership : ownership.o util.o
	$(CC) $(LDFLAGS) ownership.o util.o -o $@

vpddecode : vpddecode.o util.o
	$(CC) $(LDFLAGS) vpddecode.o util.o -o $@

#
# Objects
#

dmidecode.o : dmidecode.c version.h types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

biosdecode.o : biosdecode.c version.h types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

ownership.o : ownership.c types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

vpddecode.o : vpddecode.c version.h types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

util.o : util.c types.h util.h
	$(CC) $(CFLAGS) -c $< -o $@

#
# Commands
#

strip : all
	strip dmidecode biosdecode ownership vpddecode

install : all
	install -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
	install -m 755 dmidecode $(DESTDIR)$(sbindir)
	install -m 755 biosdecode $(DESTDIR)$(sbindir)
	install -m 755 ownership $(DESTDIR)$(sbindir)
	install -m 755 vpddecode $(DESTDIR)$(sbindir)
	install -m 644 man/dmidecode.8 $(DESTDIR)$(man8dir)
	install -m 644 man/biosdecode.8 $(DESTDIR)$(man8dir)
	install -m 644 man/ownership.8 $(DESTDIR)$(man8dir)
	install -m 644 man/vpddecode.8 $(DESTDIR)$(man8dir)

uninstall :
	rm -f $(DESTDIR)$(sbindir)/dmidecode $(DESTDIR)$(man8dir)/dmidecode.8
	rm -f $(DESTDIR)$(sbindir)/biosdecode $(DESTDIR)$(man8dir)/biosdecode.8
	rm -f $(DESTDIR)$(sbindir)/ownership $(DESTDIR)$(man8dir)/ownership.8
	rm -f $(DESTDIR)$(sbindir)/vpddecode $(DESTDIR)$(man8dir)/vpddecode.8

clean :
	rm -f *.o dmidecode biosdecode ownership vpddecode core

## dmidecode 2.6

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,16 @@
 #	BIOS Decode
 #
 #	(C) 2000-2002 Alan Cox <alan@redhat.com>
-#	(C) 2002-2004 Jean Delvare <khali@linux-fr.org>
+#	(C) 2002-2005 Jean Delvare <khali@linux-fr.org>
 #
 #	Licensed under the GNU Public License.
 #
 
 CC      = gcc
 CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
-          -Wcast-align -Wwrite-strings -pedantic
+          -Wcast-align -Wwrite-strings -Wmissing-prototypes
 #CFLAGS += -DBIGENDIAN
 #CFLAGS += -DALIGNMENT_WORKAROUND
-CFLAGS += -DUSE_MMAP
 
 # When debugging, disable -O2 and enable -g.
 CFLAGS += -O2
@@ -50,19 +49,19 @@
 # Objects
 #
 
-dmidecode.o : dmidecode.c version.h types.h util.h
+dmidecode.o : dmidecode.c version.h types.h util.h config.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
-biosdecode.o : biosdecode.c version.h types.h util.h
+biosdecode.o : biosdecode.c version.h types.h util.h config.h 
 	$(CC) $(CFLAGS) -c $< -o $@
 
-ownership.o : ownership.c types.h util.h
+ownership.o : ownership.c version.h types.h util.h config.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
-vpddecode.o : vpddecode.c version.h types.h util.h
+vpddecode.o : vpddecode.c version.h types.h util.h config.h 
 	$(CC) $(CFLAGS) -c $< -o $@
 
-util.o : util.c types.h util.h
+util.o : util.c types.h util.h config.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
 #

## dmidecode 2.8

=== Makefile ===
#
#	DMI Decode
#	BIOS Decode
#
#	(C) 2000-2002 Alan Cox <alan@redhat.com>
#	(C) 2002-2005 Jean Delvare <khali@linux-fr.org>
#
#	Licensed under the GNU Public License.
#

CC      = gcc
CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
          -Wcast-align -Wwrite-strings -Wmissing-prototypes -Winline -Wundef
#CFLAGS += -DBIGENDIAN
#CFLAGS += -DALIGNMENT_WORKAROUND

# When debugging, disable -O2 and enable -g.
CFLAGS += -O2
#CFLAGS += -g

# Pass linker flags here
LDFLAGS =

DESTDIR =
prefix  = /usr/local
sbindir = $(prefix)/sbin
mandir  = $(prefix)/share/man
man8dir = $(mandir)/man8
docdir  = $(prefix)/share/doc/dmidecode

INSTALL         := install
INSTALL_DATA    := $(INSTALL) -m 644
INSTALL_DIR     := $(INSTALL) -m 755 -d
INSTALL_PROGRAM := $(INSTALL) -m 755
RM              := rm -f

all : dmidecode biosdecode ownership vpddecode

#
# Programs
#

dmidecode : dmidecode.o dmiopt.o util.o
	$(CC) $(LDFLAGS) dmidecode.o dmiopt.o util.o -o $@

biosdecode : biosdecode.o util.o
	$(CC) $(LDFLAGS) biosdecode.o util.o -o $@

ownership : ownership.o util.o
	$(CC) $(LDFLAGS) ownership.o util.o -o $@

vpddecode : vpddecode.o vpdopt.o util.o
	$(CC) $(LDFLAGS) vpddecode.o vpdopt.o util.o -o $@

#
# Objects
#

dmidecode.o : dmidecode.c version.h types.h util.h config.h dmidecode.h \
	      dmiopt.h
	$(CC) $(CFLAGS) -c $< -o $@

dmiopt.o : dmiopt.c config.h types.h dmidecode.h dmiopt.h
	$(CC) $(CFLAGS) -c $< -o $@

biosdecode.o : biosdecode.c version.h types.h util.h config.h 
	$(CC) $(CFLAGS) -c $< -o $@

ownership.o : ownership.c version.h types.h util.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

vpddecode.o : vpddecode.c version.h types.h util.h config.h vpdopt.h
	$(CC) $(CFLAGS) -c $< -o $@

vpdopt.o : vpdopt.c config.h vpdopt.h
	$(CC) $(CFLAGS) -c $< -o $@

util.o : util.c types.h util.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

#
# Commands
#

strip : all
	strip dmidecode biosdecode ownership vpddecode

install : install-bin install-man install-doc

uninstall : uninstall-bin uninstall-man uninstall-doc

install-bin : all
	$(INSTALL_DIR) $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) dmidecode $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) biosdecode $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) ownership $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) vpddecode $(DESTDIR)$(sbindir)

uninstall-bin :
	$(RM) $(DESTDIR)$(sbindir)/dmidecode
	$(RM) $(DESTDIR)$(sbindir)/biosdecode
	$(RM) $(DESTDIR)$(sbindir)/ownership
	$(RM) $(DESTDIR)$(sbindir)/vpddecode

install-man :
	$(INSTALL_DIR) $(DESTDIR)$(man8dir)
	$(INSTALL_DATA) man/dmidecode.8 $(DESTDIR)$(man8dir)
	$(INSTALL_DATA) man/biosdecode.8 $(DESTDIR)$(man8dir)
	$(INSTALL_DATA) man/ownership.8 $(DESTDIR)$(man8dir)
	$(INSTALL_DATA) man/vpddecode.8 $(DESTDIR)$(man8dir)

uninstall-man :
	$(RM) $(DESTDIR)$(man8dir)/dmidecode.8
	$(RM) $(DESTDIR)$(man8dir)/biosdecode.8
	$(RM) $(DESTDIR)$(man8dir)/ownership.8
	$(RM) $(DESTDIR)$(man8dir)/vpddecode.8

install-doc :
	$(INSTALL_DIR) $(DESTDIR)$(docdir)
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)
	$(INSTALL_DATA) CHANGELOG $(DESTDIR)$(docdir)
	$(INSTALL_DATA) AUTHORS $(DESTDIR)$(docdir)

uninstall-doc :
	$(RM) -r $(DESTDIR)$(docdir)

clean :
	$(RM) *.o dmidecode biosdecode ownership vpddecode core

## dmidecode 2.11

=== debian/changelog ===
dmidecode (2.11-5) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to debhelper version 9.
  * Adding patch to avoid overwriting build environment rather than to
    just extend it.
  * Simplifying CFLAGS handing in rules.
  * Enabling hardening build options (Closes: #655891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Jan 2012 11:16:31 +0100

dmidecode (2.11-4) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Adding patch from Jean Delvare <khali@linux-fr.org> to fix boundary
    checks of memory array location codes (DMI type 16).
  * Adding patch from Jean Delvare <khali@linux-fr.org> to update to
    support SMBIOS specification version 2.7.1.
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 28 Oct 2011 21:54:37 +0200

dmidecode (2.11-3) unstable; urgency=low

  * Adding patch from Svante Signell <svante.signell@telia.com> to
    enable build of all targets on GNU/Hurd (Closes: #643649).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 13:03:50 +0200

dmidecode (2.11-2) unstable; urgency=low

  * Adding patch from Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
    to correctly decode the chassis-type (Closes: #637028).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 06:42:29 +0200

dmidecode (2.11-1) unstable; urgency=low

  * Taking over package from Petter with thanks for his past work on the
    package.
  * Merging upstream version 2.11 (Closes: #531843, #639169).
  * Removing useless whitespaces at EOL and EOF.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Adding homepage field.
  * Switching to source format 3.0 (quilt).
  * Removing pre-squeeze conflict against lm-sensors.
  * Using architecture patterns (Closes: #480571).
  * Sorting depends.
  * Adding misc-depends to udeb.
  * Removing watch file.
  * Rewriting package descriptions.
  * Rewriting copyright file in machine-interpretable format.
  * Prefixing debhelper files with package name.
  * Adding authors file to docs.
  * Minimizing rules file.
  * Sorting fields in control.
  * Removing unused debhelper dirs files.
  * Adding debhelper install files.
  * Avoid installing readme file, no additional useful content.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 27 Sep 2011 21:23:46 +0200

dmidecode (2.9-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly set package type for the udeb. Allows to simplify debian/rules
    and ensures a correct dependency on libc6-udeb. Closes: #562014.
  * Update debhelper compat to version 6.
  * Don't ignore errors during 'make clean'.

 -- Frans Pop <fjp@debian.org>  Tue, 22 Dec 2009 05:13:24 +0100

dmidecode (2.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 by adding it to the list of supported
    architectures for the second package (Closes: #493385). Thanks to
    Petr Salinger.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 30 Jun 2009 01:49:22 +0200

dmidecode (2.9-1) unstable; urgency=low

  * New upstream release (Closes: #413747).
   - Drop patch 30_upstream_20060601 included upstream.
   - Reintroduce -ansi and extend 20_ansi_c.dpatch to make the source
     ANSI C compliant again. (Closes: #406031)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 May 2007 11:33:24 +0200

dmidecode (2.8-4) unstable; urgency=low

  * Update CFLAGS line, drop -ansi to avoid build failure on
    ia64 (Closes: #406031), and add  -Winline -Wundef to
    match the upstream makefile.  Thanks to Dann Frazier for the clue.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  9 Jan 2007 09:11:26 +0100

dmidecode (2.8-3) unstable; urgency=low

  * New patch 30_upstream_20060601 from upstream CVS.
    - Detect EFI support at run time, to work properly on x86-based
      Mac (Closes: #375997)
    - Avoids unaligned memory access on ia64 and other archs.  (Closes: #398473)
  * Drop the patch to remove the product name lookup table from vpddecode,
    to avoid user visible changes this late in the debian release.
  * Drop patch to fix typo in Chassis height, to avoid user visible change.
  * Update standards-version from 2.6.2 to 2.7.2.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  7 Jan 2007 20:07:42 +0100

dmidecode (2.8-2) unstable; urgency=low

  * Add kfreebsd-amd64 to the architecture list.  It is claimed to
    work. (Closes: #355454)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 Mar 2006 22:44:20 +0200

dmidecode (2.8-1) unstable; urgency=low

  * New upstream release.
  * Increased debhelper compat level from 3 to 4.
  * Add ${misc:Depends} as a dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Feb 2006 21:52:51 +0100

dmidecode (2.7-2) unstable; urgency=low

  * Change priority for dmidecode from optional to important to
    match override file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Aug 2005 23:39:08 +0200

dmidecode (2.7-1) unstable; urgency=low

  * New upstream release.
    - Include new command line interface making it easier for scripts
      to extract the values they want.
    - Default output format is slightly changed.  This might break existing
      scripts, which should use the new command line options instead.
    - Added supprt for more products in vpddecode.
  * Remove David Z. Maze as uploader on request from Jeroen van
    Wolffelaar.  David is giving up package maintainence.
  * Removing 30_upstream_20050605 now included in release 2.7.
  * Updated Standards-Version to 3.6.2.  No changes.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Aug 2005 23:20:14 +0200

dmidecode (2.6-2) unstable; urgency=low

  * Add new archs kfreebsd-i386 knetbsd-i386. (Closes: #303511)
  * Add 30_upstream_20050605.dpatch to get the latest changes
    from upstream CVS.



=== debian/control ===
Source: dmidecode
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.2
Homepage: http://dmidecode.nongnu.org/

Package: dmidecode
Priority: important
Architecture: any-amd64 ia64 any-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SMBIOS/DMI table decoder
 Dmidecode reports information about the system's hardware as described in the
 system BIOS according to the SMBIOS/DMI standard.
 .
 This information typically includes system manufacturer, model name, serial
 number, BIOS version, asset tag as well as a lot of other details of varying
 level of interest and reliability depending on the manufacturer. This will
 often include usage status for the CPU sockets, expansion slots (e.g. AGP, PCI,
 ISA) and memory module slots, and the list of I/O ports (e.g. serial, parallel,
 USB).
 .
 Beware that DMI data have proven to be too unreliable to be blindly trusted.
 Dmidecode does not scan the hardware, it only reports what the BIOS told it to.

Package: dmidecode-udeb
Section: debian-installer
Architecture: any-amd64 ia64 any-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: SMBIOS/DMI table decoder (udeb)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -Os -ansi"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

	# remove useless files
	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
	rm -f debian/tmp/usr/share/doc/dmidecode/README

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_install:
	dh_install --fail-missing

## dmidecode 2.11+20120326

=== debian/changelog ===
dmidecode (2.11+20120326-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 04:59:24 +0200

dmidecode (2.11+20120326-1) unstable; urgency=low

  * Merging upstream version 2.11+20120326.
  * Removing chassis-type.patch, included upstream.
  * Removing type16-fix.patch, including upstream.
  * Removing smbios-271.patch, included upstream.
  * Rediffing manpage-hyphen.patch.
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 26 Jun 2012 01:07:02 +0200

dmidecode (2.11-9) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 13:29:25 +0200

dmidecode (2.11-8) unstable; urgency=low

  * Using package type instead of custom field for udeb package.
  * Adding patch to escape hypens in manpage.
  * Also passing cppflags to make (Closes: #655891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 12:36:27 +0200

dmidecode (2.11-7) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 08:00:01 +0200

dmidecode (2.11-6) unstable; urgency=low

  * Also passing ldflags to configure to enable all hardening build
    flags (Closes: #655891).
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 09:23:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://dmidecode.nongnu.org/
 
 Package: dmidecode
@@ -24,9 +24,20 @@
  Beware that DMI data have proven to be too unreliable to be blindly trusted.
  Dmidecode does not scan the hardware, it only reports what the BIOS told it to.
 
+Package: dmidecode-dbg
+Section: debug
+Priority: extra
+Architecture: any-amd64 ia64 any-i386
+Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
+Description: SMBIOS/DMI table decoder (debug)
+ Dmidecode reports information about the system's hardware as described in the
+ system BIOS according to the SMBIOS/DMI standard.
+ .
+ This package contains the debugging symbols.
+
 Package: dmidecode-udeb
 Section: debian-installer
 Architecture: any-amd64 ia64 any-i386
+Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
-XC-Package-Type: udeb
 Description: SMBIOS/DMI table decoder (udeb)

## dmidecode 2.12

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Luk Claes <luk@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://dmidecode.nongnu.org/
 
 Package: dmidecode
 Priority: important
-Architecture: any-amd64 ia64 any-i386
+Architecture: any-amd64 armhf ia64 any-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder
  Dmidecode reports information about the system's hardware as described in the
@@ -27,7 +27,7 @@
 Package: dmidecode-dbg
 Section: debug
 Priority: extra
-Architecture: any-amd64 ia64 any-i386
+Architecture: any-amd64 armhf ia64 any-i386
 Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
 Description: SMBIOS/DMI table decoder (debug)
  Dmidecode reports information about the system's hardware as described in the
@@ -37,7 +37,7 @@
 
 Package: dmidecode-udeb
 Section: debian-installer
-Architecture: any-amd64 ia64 any-i386
+Architecture: any-amd64 armhf ia64 any-i386
 Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder (udeb)

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh ${@}
 
 override_dh_auto_build:
-	dh_auto_build -- CFLAGS="$(CFLAGS) -Os -ansi"
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os -ansi" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr
@@ -16,7 +16,10 @@
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbg-package=dmidecode-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://download.savannah.gnu.org/releases/dmidecode/dmidecode-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## dmidecode 3.0

=== debian/changelog ===
dmidecode (3.0-2) unstable; urgency=medium

  * New debian/patches/05-dmidecode-avoid-sigbus.patch (Closes: #796963):
    - Avoid SIGBUS on mmap failure

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 01 Oct 2015 10:01:04 +0200

dmidecode (3.0-1) unstable; urgency=medium

  * Correct typo at debian/changelog.
  * New upstream release.
    - Refresh patches:
      + debian/patches/02-hurd.patch
      + debian/patches/03-build.patch
    - Remove applied patches:
      + debian/patches/04-manpage-hyphen.patch
      + debian/patches/05-supported-smbios-ver.patch
  * debian/watch:
    - Add opts for signing key.
    - Force upload as xz archive.
  * New debian/upstream/signing-key.pgp.
  * New debian/source/include-binaries:
    - Add debian/upstream/signing-key.pgp.
  * New debian/upstream/metadata:
    - Add some DEP-12 upstream metadata.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 29 Sep 2015 05:42:43 +0200

dmidecode (2.12-4) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add arm64 to Architecture (Closes: #767965 ).
    - Remove unwanted debian/source/options.
    - Change Vcs-* to new cgit based repository viewer.
  * debian/copyright:
    - Add year 2015.
  * debian/rules:
    - Remove override_dh_builddeb because compression xz is now standard.
  * debian/patches/05-supported-smbios-ver.patch:
    - Add description.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 27 Apr 2015 12:05:44 +0200

dmidecode (2.12-3) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.5
    - add Vcs-*
  * New Maintainer ( Closes: #748486)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 19 May 2014 18:01:43 +0200

dmidecode (2.12-2) unstable; urgency=low

  * Also build for armhf (Closes: #715139).

 -- Luk Claes <luk@debian.org>  Thu, 15 Aug 2013 11:24:31 +0200

dmidecode (2.12-1) unstable; urgency=low

  * New upstream version.
  * Add watch file.
  * Add upstream patch to kill warnings (Closes: #706004).

 -- Luk Claes <luk@debian.org>  Tue, 07 May 2013 08:52:36 +0200

dmidecode (2.11+20120326-3) unstable; urgency=low

  * Take over maintenance with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Sun, 10 Mar 2013 21:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Luk Claes <luk@debian.org>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dmidecode.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/dmidecode.git
 Homepage: http://dmidecode.nongnu.org/
 
 Package: dmidecode
 Priority: important
-Architecture: any-amd64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder
  Dmidecode reports information about the system's hardware as described in the
@@ -27,7 +29,7 @@
 Package: dmidecode-dbg
 Section: debug
 Priority: extra
-Architecture: any-amd64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386
 Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
 Description: SMBIOS/DMI table decoder (debug)
  Dmidecode reports information about the system's hardware as described in the
@@ -37,7 +39,7 @@
 
 Package: dmidecode-udeb
 Section: debian-installer
-Architecture: any-amd64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386
 Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder (udeb)

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
-
 override_dh_install:
 	dh_install --fail-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,pgpsigurlmangle=s/$/.sig/ \
http://download.savannah.gnu.org/releases/dmidecode/dmidecode-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:bz2|xz))

## dmidecode 3.1

=== Makefile ===
#
#   DMI Decode
#   BIOS Decode
#   VPD Decode
#
#   Copyright (C) 2000-2002 Alan Cox <alan@redhat.com>
#   Copyright (C) 2002-2015 Jean Delvare <jdelvare@suse.de>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#

CC      = gcc
CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
          -Wcast-align -Wwrite-strings -Wmissing-prototypes -Winline -Wundef

# Let lseek and mmap support 64-bit wide offsets
CFLAGS += -D_FILE_OFFSET_BITS=64

#CFLAGS += -DBIGENDIAN
#CFLAGS += -DALIGNMENT_WORKAROUND

# When debugging, disable -O2 and enable -g.
CFLAGS += -O2
#CFLAGS += -g

# Pass linker flags here
LDFLAGS =

DESTDIR =
prefix  = /usr/local
sbindir = $(prefix)/sbin
mandir  = $(prefix)/share/man
man8dir = $(mandir)/man8
docdir  = $(prefix)/share/doc/dmidecode

INSTALL         := install
INSTALL_DATA    := $(INSTALL) -m 644
INSTALL_DIR     := $(INSTALL) -m 755 -d
INSTALL_PROGRAM := $(INSTALL) -m 755
RM              := rm -f

# BSD make provides $MACHINE, but GNU make doesn't
MACHINE ?= $(shell uname -m 2>/dev/null)

# These programs are only useful on x86
PROGRAMS-i386 := biosdecode ownership vpddecode
PROGRAMS-i486 := $(PROGRAMS-i386)
PROGRAMS-i586 := $(PROGRAMS-i386)
PROGRAMS-i686 := $(PROGRAMS-i386)
PROGRAMS-x86_64 := biosdecode ownership vpddecode
PROGRAMS-amd64 := $(PROGRAMS-x86_64)

PROGRAMS := dmidecode $(PROGRAMS-$(MACHINE))

all : $(PROGRAMS)

#
# Programs
#

dmidecode : dmidecode.o dmiopt.o dmioem.o util.o
	$(CC) $(LDFLAGS) dmidecode.o dmiopt.o dmioem.o util.o -o $@

biosdecode : biosdecode.o util.o
	$(CC) $(LDFLAGS) biosdecode.o util.o -o $@

ownership : ownership.o util.o
	$(CC) $(LDFLAGS) ownership.o util.o -o $@

vpddecode : vpddecode.o vpdopt.o util.o
	$(CC) $(LDFLAGS) vpddecode.o vpdopt.o util.o -o $@

#
# Objects
#

dmidecode.o : dmidecode.c version.h types.h util.h config.h dmidecode.h \
	      dmiopt.h dmioem.h
	$(CC) $(CFLAGS) -c $< -o $@

dmiopt.o : dmiopt.c config.h types.h util.h dmidecode.h dmiopt.h
	$(CC) $(CFLAGS) -c $< -o $@

dmioem.o : dmioem.c types.h dmidecode.h dmioem.h
	$(CC) $(CFLAGS) -c $< -o $@

biosdecode.o : biosdecode.c version.h types.h util.h config.h 
	$(CC) $(CFLAGS) -c $< -o $@

ownership.o : ownership.c version.h types.h util.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

vpddecode.o : vpddecode.c version.h types.h util.h config.h vpdopt.h
	$(CC) $(CFLAGS) -c $< -o $@

vpdopt.o : vpdopt.c config.h util.h vpdopt.h
	$(CC) $(CFLAGS) -c $< -o $@

util.o : util.c types.h util.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

#
# Commands
#

strip : $(PROGRAMS)
	strip $(PROGRAMS)

install : install-bin install-man install-doc

uninstall : uninstall-bin uninstall-man uninstall-doc

install-bin : $(PROGRAMS)
	$(INSTALL_DIR) $(DESTDIR)$(sbindir)
	for program in $(PROGRAMS) ; do \
	$(INSTALL_PROGRAM) $$program $(DESTDIR)$(sbindir) ; done

uninstall-bin :
	for program in $(PROGRAMS) ; do \
	$(RM) $(DESTDIR)$(sbindir)/$$program ; done

install-man :
	$(INSTALL_DIR) $(DESTDIR)$(man8dir)
	for program in $(PROGRAMS) ; do \
	$(INSTALL_DATA) man/$$program.8 $(DESTDIR)$(man8dir) ; done

uninstall-man :
	for program in $(PROGRAMS) ; do \
	$(RM) $(DESTDIR)$(man8dir)/$$program.8 ; done

install-doc :
	$(INSTALL_DIR) $(DESTDIR)$(docdir)
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)
	$(INSTALL_DATA) CHANGELOG $(DESTDIR)$(docdir)
	$(INSTALL_DATA) AUTHORS $(DESTDIR)$(docdir)

uninstall-doc :
	$(RM) -r $(DESTDIR)$(docdir)

clean :
	$(RM) *.o $(PROGRAMS) core

=== debian/changelog ===
dmidecode (3.1-1) unstable; urgency=medium

  * New upstream release (LP: #1688162) (Closes: #860897):
    - Remove applied patches:
      + debian/patches/0110-nosysfs.patch
      + debian/patches/0115-no_smbios_DMI_entry_point.patch
      + debian/patches/0120-return_actual_data_size.patch
      + debian/patches/0125-use_read_file_to_read_DMI_table_from_sysfs.patch
      + debian/patches/0130-use_DWORD_for_table_max_size.patch
      + debian/patches/0135-hide_fixup_msg.patch
  * debian/copyright:
    - Add year 2017.
    - Change upstream email address.
  * debian/control:
    - Change Homepage.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Bump minimum debhelper version in debian/control to >= 10.
  * Use the automatic debug symbol packages:
    - Remove dmidecode-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 24 Jun 2017 23:21:09 +0200

dmidecode (3.0-4) unstable; urgency=medium

  * debian/rules: Fix FTCBFS to pass suitable CC to make. (Closes: #835921).
    Thanks to Helmut Grohne <helmut@subdivi.de>.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 01 Sep 2016 04:59:53 +0200

dmidecode (3.0-3) unstable; urgency=medium

  * Rename patches.
  * Add recommended patches from upstream (Closes: #824180):
    - debian/patches/0110-nosysfs.patch
    - debian/patches/0115-no_smbios_DMI_entry_point.patch
    - debian/patches/0120-return_actual_data_size.patch
    - debian/patches/0125-use_read_file_to_read_DMI_table_from_sysfs.patch
    - debian/patches/0130-use_DWORD_for_table_max_size.patch
    - debian/patches/0135-hide_fixup_msg.patch
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure URIs.
  * debian/copyright:
    - Add year 2016.
    - Add new upstream author Xie XiuQi <xiexiuqi@huawei.com>.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 15 May 2016 18:33:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dmidecode.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dmidecode.git
-Homepage: http://dmidecode.nongnu.org/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
+Homepage: http://nongnu.org/dmidecode/
 
 Package: dmidecode
 Priority: important
@@ -26,17 +26,6 @@
  Beware that DMI data have proven to be too unreliable to be blindly trusted.
  Dmidecode does not scan the hardware, it only reports what the BIOS told it to.
 
-Package: dmidecode-dbg
-Section: debug
-Priority: extra
-Architecture: any-amd64 arm64 armhf ia64 any-i386
-Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
-Description: SMBIOS/DMI table decoder (debug)
- Dmidecode reports information about the system's hardware as described in the
- system BIOS according to the SMBIOS/DMI standard.
- .
- This package contains the debugging symbols.
-
 Package: dmidecode-udeb
 Section: debian-installer
 Architecture: any-amd64 arm64 armhf ia64 any-i386

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os -ansi" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

	# remove useless files
	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
	rm -f debian/tmp/usr/share/doc/dmidecode/README

override_dh_install:
	dh_install --fail-missing

## dmidecode 3.2

=== Makefile ===
--- 
+++ 
@@ -134,7 +134,7 @@
 install-doc :
 	$(INSTALL_DIR) $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)
-	$(INSTALL_DATA) CHANGELOG $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) NEWS $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) AUTHORS $(DESTDIR)$(docdir)
 
 uninstall-doc :

=== debian/changelog ===
dmidecode (3.2-3) unstable; urgency=medium

  * Fix Scan only /dev/mem for entry point on x86 (Closes: #946911):
    - New debian/patches/0140-Fix_scan_entry_point.patch (Cherry picked from
      upstream Commit e12ec26e19e02281d3e7258c3aabb88a5cf5ec1d.
  * Declare compliance with Debian Policy 4.4.1.2 (No changes needed).
  * Add Smoketest:
    - New debian/tests/control.
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.
  * debian/control: Add Rules-Requires-Root.
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 23 Dec 2019 18:56:41 +0100

dmidecode (3.2-2) unstable; urgency=medium

  * Mark dmidecode Multi-Arch: foreign (Closes: #929455).
   - Thanks to: Helmut Grohne <helmut@subdivi.de>.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * debian/copyright:
    - Add year 2019 to debian/*.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
    - debian/rules: Remove obsolete dh_install --fail-missing.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 11 Jul 2019 20:30:31 +0200

dmidecode (3.2-1) unstable; urgency=medium

  * New upstream release:
    - Refresh patches.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * debian/dmidecode.docs:
    - Add README.
  * debian/copyright:
    - Add year 2018 to * for Jean Delvare <jdelvare@suse.de>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 07 Oct 2018 06:05:15 +0200

dmidecode (3.1-2) unstable; urgency=medium

  * debian/control:
    - Change to my new email address.
    - Use secure homepage URI.
    - Switch Vcs-* to new location (Closes: #902259).
  * debian/copyright:
    - Change to my new email address.
    - Use secure copyright format URI.
    - Add year 2018 to debian/*.
  * debian/rules:
    - Add "export DEB_CFLAGS_MAINT_APPEND  = -fPIE" and
      "export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie" to fix missing CFLAGS
      and LDFLAGS.
  * debian/watch:
    - Use secure URI.
    - Switch to version 4.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 05 Aug 2018 20:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
-Homepage: http://nongnu.org/dmidecode/
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1.2
+Rules-Requires-Root: no
+Vcs-Git: git://jff.email/opt/git/dmidecode.git
+Vcs-Browser: https://jff.email/cgit/dmidecode.git/
+Homepage: https://nongnu.org/dmidecode/
 
 Package: dmidecode
 Priority: important
 Architecture: any-amd64 arm64 armhf ia64 any-i386
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder
  Dmidecode reports information about the system's hardware as described in the

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -fPIE
+export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie
+
 
 include /usr/share/dpkg/architecture.mk
 ifeq ($(origin CC),default)
@@ -19,6 +22,3 @@
 	# remove useless files
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
-
-override_dh_install:
-	dh_install --fail-missing

=== debian/tests/control ===
# smoke test
Test-Command: /usr/sbin/dmidecode -V
Depends: dmidecode

## dmidecode 3.2.2

=== debian/changelog ===
dmidecode (3.2.2-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: 5dabcbaa63ad5c14d96725e15efb6af5c2c462f8']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Nov 2020 08:38:21 +0000

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,6 @@
 	# remove useless files
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
+
+override_dh_install:
+	dh_install --fail-missing

## dmidecode 3.3

=== debian/changelog ===
dmidecode (3.3-2~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Jul 2021 20:09:27 -0400

dmidecode (3.3-2) unstable; urgency=medium

  * Add upstream recommended patches (Closes: #987033):
    - New debian/patches/0145-Fix_condition_error_in_ascii_filter.patch.
    - New debian/patches/0150-Fix_crash.patch.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).
  * debian/copyright:
    - Add year 2021 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 17 May 2021 18:53:43 +0200

dmidecode (3.3-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream applied patches:
      + debian/patches/0140-Fix_scan_entry_point.patch
      + debian/patches/0005-build.patch
    + Refresh debian/patches/0001-hurd.patch.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Migrate to debhelper 13:
    - Bump debhelper-compat version in debian/control to = 13.
  * Remove unused debian/source/include-binaries.
  * Remove superficial test.
  * debian/copyright:
    - Add year 2020 to Jean Delvare and myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 17 Oct 2020 10:31:23 +0200

dmidecode (3.2-4) unstable; urgency=medium

  * Add "Restrictions: superficial" to debian/tests/control (Closes: #969819).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 14 Sep 2020 14:18:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1.2
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: git://jff.email/opt/git/dmidecode.git
 Vcs-Browser: https://jff.email/cgit/dmidecode.git/

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 %:
 	dh ${@}
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_build:
 	dh_auto_build -- CC=$(CC) CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os -ansi" LDFLAGS="$(LDFLAGS)"
 
@@ -22,6 +25,3 @@
 	# remove useless files
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
-
-override_dh_install:
-	dh_install --fail-missing

## dmidecode 3.3-3ubuntu0.1+11.0trisquel0

=== debian/changelog ===
dmidecode (3.3-3ubuntu0.1+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Nov 2022 02:43:07 +0000

dmidecode (3.3-3ubuntu0.1) jammy; urgency=medium

  * Support SMBIOS 3.4 and 3.5 for Hardware Enablement in 22.04 LTS (LP: #1986852)
    - d/p/lp1986852-0001-Add-new-memory-device-types-from-SMBIOS-spec-3.4.0.patch
    - d/p/lp1986852-0002-Add-new-processor-upgrades-from-SMBIOS-spec-3.4.0.patch
    - d/p/lp1986852-0003-Add-new-slot-characteristics2-from-SMBIOS-spec-3.4.0.patch
    - d/p/lp1986852-0004-dmidecode-Handle-memory-module-extended-speed-fields.patch
    - d/p/lp1986852-0005-dmidecode-Add-new-system-slot-types-from-SMBIOS-spec.patch
    - d/p/lp1986852-0006-Add-new-processor-characteristics-bits-from-SMBIOS-s.patch
    - d/p/lp1986852-0007-Missing-comma-in-the-dmi_slot_type.patch
    - d/p/lp1986852-0008-dmidecode-Support-new-format-of-Processor-ID-from-SM.patch
    - d/p/lp1986852-0009-Support-new-byte-value-of-Processor-Upgrade-field-fr.patch
    - d/p/lp1986852-0010-dmidecode-Make-dmi_slot_bus_width-reusable.patch
    - d/p/lp1986852-0011-dmidecode-Add-missing-bits-from-SMBIOS-3.4.0-specifi.patch
    - d/p/lp1986852-0012-dmidecode-Add-new-fields-and-enumerated-values-from-.patch
    - d/p/lp1986852-0013-dmidecode-Add-support-for-type-45-records-Firmware-I.patch
    - d/p/lp1986852-0014-dmidecode-Enumerate-the-new-struct-types.patch
    - d/p/lp1986852-0015-dmidecode-Set-supported-version-to-3.5.0.patch

  * d/control: update-maintainer.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 23 Aug 2022 20:52:47 -0300

dmidecode (3.3-3) unstable; urgency=medium

  * Add Architecture riscv64 (Closes: #991854).
  * Declare compliance with Debian Policy 4.6.0.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 20 Aug 2021 08:15:05 +0200

## dmidecode 3.3-3ubuntu0.2+11.0trisquel0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #   VPD Decode
 #
 #   Copyright (C) 2000-2002 Alan Cox <alan@redhat.com>
-#   Copyright (C) 2002-2015 Jean Delvare <jdelvare@suse.de>
+#   Copyright (C) 2002-2020 Jean Delvare <jdelvare@suse.de>
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -12,8 +12,13 @@
 #   (at your option) any later version.
 #
 
-CC      = gcc
-CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
+CC     ?= gcc
+# Base CFLAGS can be overridden by environment
+CFLAGS ?= -O2
+# When debugging, disable -O2 and enable -g
+#CFLAGS ?= -g
+
+CFLAGS += -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
           -Wcast-align -Wwrite-strings -Wmissing-prototypes -Winline -Wundef
 
 # Let lseek and mmap support 64-bit wide offsets
@@ -22,12 +27,8 @@
 #CFLAGS += -DBIGENDIAN
 #CFLAGS += -DALIGNMENT_WORKAROUND
 
-# When debugging, disable -O2 and enable -g.
-CFLAGS += -O2
-#CFLAGS += -g
-
-# Pass linker flags here
-LDFLAGS =
+# Pass linker flags here (can be set from environment too)
+LDFLAGS ?=
 
 DESTDIR =
 prefix  = /usr/local
@@ -43,7 +44,7 @@
 RM              := rm -f
 
 # BSD make provides $MACHINE, but GNU make doesn't
-MACHINE ?= $(shell uname -m 2>/dev/null)
+MACHINE ?= $(shell uname -m 2>/dev/null | cut - -d- -f 1)
 
 # These programs are only useful on x86
 PROGRAMS-i386 := biosdecode ownership vpddecode
@@ -61,8 +62,8 @@
 # Programs
 #
 
-dmidecode : dmidecode.o dmiopt.o dmioem.o util.o
-	$(CC) $(LDFLAGS) dmidecode.o dmiopt.o dmioem.o util.o -o $@
+dmidecode : dmidecode.o dmiopt.o dmioem.o dmioutput.o util.o
+	$(CC) $(LDFLAGS) dmidecode.o dmiopt.o dmioem.o dmioutput.o util.o -o $@
 
 biosdecode : biosdecode.o util.o
 	$(CC) $(LDFLAGS) biosdecode.o util.o -o $@
@@ -78,13 +79,16 @@
 #
 
 dmidecode.o : dmidecode.c version.h types.h util.h config.h dmidecode.h \
-	      dmiopt.h dmioem.h
+	      dmiopt.h dmioem.h dmioutput.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
 dmiopt.o : dmiopt.c config.h types.h util.h dmidecode.h dmiopt.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
-dmioem.o : dmioem.c types.h dmidecode.h dmioem.h
+dmioem.o : dmioem.c types.h dmidecode.h dmioem.h dmioutput.h
+	$(CC) $(CFLAGS) -c $< -o $@
+
+dmioutput.o : dmioutput.c types.h dmioutput.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
 biosdecode.o : biosdecode.c version.h types.h util.h config.h

=== debian/changelog ===
dmidecode (3.3-3ubuntu0.2+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Dec 2024 00:43:03 +0000

dmidecode (3.3-3ubuntu0.2) jammy; urgency=medium

  * Add processor support from SMBIOS 3.6.0 (LP: #2081611)
    - debian/patches/lp-2081611-add-processor-support-from-smbios-3.6.0.patch

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 14 Oct 2024 17:28:46 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.0
 Rules-Requires-Root: no
 Vcs-Git: git://jff.email/opt/git/dmidecode.git
 Vcs-Browser: https://jff.email/cgit/dmidecode.git/
@@ -12,7 +12,7 @@
 
 Package: dmidecode
 Priority: important
-Architecture: any-amd64 arm64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386 riscv64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder

## dmidecode 3.4

=== debian/changelog ===
dmidecode (3.4-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream applied patches:
      + debian/patches/0145-Fix_condition_error_in_ascii_filter.patch
      + debian/patches/0150-Fix_crash.patch
    - Refresh upstream signing key.
  * Declare compliance with Debian Policy 4.6.1.0 (No changes needed).
  * debian/copyright:
    - Add year 2022 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 30 Jun 2022 20:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.0
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Git: git://jff.email/opt/git/dmidecode.git
 Vcs-Browser: https://jff.email/cgit/dmidecode.git/
